hpp-corbaserver: boolSeq_var Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
boolSeq_var Class Reference

`#include <hpp/common-idl.hh>`

## Public Member Functions
| boolSeq_var ()
| boolSeq_var (boolSeq *_s)
| boolSeq_var (const boolSeq_var &_s)
| ~boolSeq_var ()
boolSeq_var & | operator= (boolSeq *_s)
boolSeq_var & | operator= (const boolSeq_var &_s)
inline ::CORBA::Boolean & | operator[] (_CORBA_ULong _s)
boolSeq * | operator-> ()
const boolSeq * | operator-> () const
| operator const boolSeq & () const
| operator boolSeq & ()
const boolSeq & | in () const
boolSeq & | inout ()
boolSeq *& | out ()
boolSeq * | _retn ()

## Friends
class | boolSeq_out

## Constructor & Destructor Documentation

## ◆ boolSeq_var() [1/3]

boolSeq_var::boolSeq_var | ( |  | ) |
| inline

## ◆ boolSeq_var() [2/3]

boolSeq_var::boolSeq_var | ( | boolSeq * | _s | ) |
| inline

## ◆ boolSeq_var() [3/3]

boolSeq_var::boolSeq_var | ( | const boolSeq_var & | _s | ) |
| inline

## ◆ ~boolSeq_var()

boolSeq_var::~boolSeq_var | ( |  | ) |
| inline

## Member Function Documentation

## ◆ _retn()

boolSeq * boolSeq_var::_retn | ( |  | ) |
| inline

## ◆ in()

const boolSeq & boolSeq_var::in | ( |  | ) | const
| inline

## ◆ inout()

boolSeq & boolSeq_var::inout | ( |  | ) |
| inline

## ◆ operator boolSeq &()

boolSeq_var::operator boolSeq & | ( |  | ) |
| inline

## ◆ operator const boolSeq &()

boolSeq_var::operator const boolSeq & | ( |  | ) | const
| inline

## ◆ operator->() [1/2]

boolSeq * boolSeq_var::operator-> | ( |  | ) |
| inline

## ◆ operator->() [2/2]

const boolSeq * boolSeq_var::operator-> | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

boolSeq_var & boolSeq_var::operator= | ( | boolSeq * | _s | ) |
| inline

## ◆ operator=() [2/2]

boolSeq_var & boolSeq_var::operator= | ( | const boolSeq_var & | _s | ) |
| inline

## ◆ operator[]()

inline ::CORBA::Boolean & boolSeq_var::operator[] | ( | _CORBA_ULong | _s | ) |
| inline

## ◆ out()

boolSeq *& boolSeq_var::out | ( |  | ) |
| inline

## Friends And Related Symbol Documentation

## ◆ boolSeq_out

friend class boolSeq_out
| friend

The documentation for this class was generated from the following file:

- src/hpp/common-idl.hh